package de.ozgcloud.nachrichten.antragraum;

import java.time.ZonedDateTime;
import java.util.Collections;
import java.util.List;

import de.ozgcloud.nachrichten.postfach.PostfachAddress;
import lombok.Builder;
import lombok.Getter;

@Getter
@Builder(toBuilder = true)
class Rueckfrage {

	private String id;
	private String vorgangId;
	private String vorgangName;

	private PostfachAddress postfachAddress;
	private ZonedDateTime sentAt;
	private ZonedDateTime answeredAt;

	@Builder.Default
	private RueckfrageStatus status = RueckfrageStatus.NEW;
	private String text;

	@Builder.Default
	private List<String> attachments = Collections.emptyList();

}