package de.ozgcloud.nachrichten.antragraum;

import org.mapstruct.CollectionMappingStrategy;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.ReportingPolicy;

import de.ozgcloud.nachrichten.postfach.PostfachNachricht;

@Mapper(collectionMappingStrategy = CollectionMappingStrategy.ADDER_PREFERRED, //
		unmappedTargetPolicy = ReportingPolicy.WARN, //
		nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
interface RueckfrageMapper {

	@Mapping(target = "answeredAt", ignore = true)
	@Mapping(target = "status", ignore = true)
	@Mapping(target = "text", source = "mailBody")
	@Mapping(target = "vorgangName", ignore = true)
	Rueckfrage fromPostfachNachricht(PostfachNachricht postfachNachricht);

}