/*
 * Copyright (C) 2022 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.nachrichten.email;

import java.util.Collection;

import jakarta.activation.DataSource;
import lombok.Builder;
import lombok.Getter;
import lombok.Singular;

@Getter
@Builder
public class MailSendRequest {

	private String fromAddress;
	@Singular
	private Collection<MailRecipient> toAddresses;

	private String replyTo;

	private String subject;
	private String body;
	@Singular
	private Collection<MailAttachment> attachments;

	private boolean receiptRequired;

	private Object requestReference;

	@Getter
	@Builder
	public static class MailAttachment {

		private DataSource dataSource;
		private String contentId;

	}

}
