package de.ozgcloud.nachrichten.postfach;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.Test;
import org.mapstruct.factory.Mappers;

class PostfachMapperTest {

	private PostfachMapper mapper = Mappers.getMapper(PostfachMapper.class);

	@Test
	void shouldMapType() {
		var result = mapper.toGrpc(PostfachTestFactory.create());

		assertThat(result.getType()).isEqualTo(PostfachTestFactory.POSTFACH_TYPE);
	}

	@Test
	void shouldMapReplyAllowed() {
		var result = mapper.toGrpc(PostfachTestFactory.create());

		assertThat(result.getReplyAllowed()).isTrue();
	}
}